%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Name:           KHracker
Version:        0.3
Release:        1%{?dist}
Group:          Development/Libraries/Python
Summary:        Known Hosts Entry Decrypter
License:        GPL
URL:            http://www.cert.org/forensics/repository
Source:		%{name}-%{version}.tar.gz
Requires:       python2 >= 2.4
Requires:	python2-netaddr
BuildRequires:	python2 >= 2.4
BuildArch:	noarch
BuildRoot:      %{buildroot}

%description
KHracker is a python2-based decryption tool for encrypted known_hosts entries. It will
attempt to decrypt values stored in SSH known_hosts files, if the encryption option has
been enabled for that computer. By default, known_hosts entries are not encrypted, but
there is an option to do so. From a forensics perspective, encrypted known_hosts entries
can prevent an investigator from seeing other computers a user may have been
connecting to. Information about the connections made from a system can be integral to
identifying a complete understanding of the systems involved in a network intrusion or
incident response case.

%prep
%setup 

%build

%install
%__install -d %{buildroot}%{_bindir}
%__install %{name}.py %{buildroot}%{_bindir}/%{name}

################################################################################################################
# Fix the Shebang problem for Python2 executables
################################################################################################################
for s in %{buildroot}%{_bindir}/*
do
	file $s | grep -q -i 'python script' && sed --in-place '1s=python[^2]*=python2=' $s
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc %{name}.pdf
%defattr(-,root,root,-)
%attr(0755, root, root)		%{_bindir}/*

%changelog -n python2-netaddr 
* Tue Sep 13 2011 Kevin Moore <kevinm@cert.org> 0.3-1
* Release 0.3-1
	Initial release
